Bug 13803 - SMB1 POSIX mkdir does case insensitive name lookup
SMB1 POSIX mkdir does case insensitive name lookup
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-23 19:12 UTC by Jeremy Allison
Modified: 2019-03-06 08:57 UTC (History)
1 user (show)

See Also:


Attachments
Provisional fix for master. (2.45 KB, patch)
2019-02-23 20:34 UTC, Jeremy Allison
no flags Details
Provisional fix for master #2. (2.59 KB, patch)
2019-02-23 21:18 UTC, Jeremy Allison
no flags Details
git-am fix for master (9.77 KB, patch)
2019-02-24 02:03 UTC, Jeremy Allison
no flags Details
Complete git-am fix for master. (17.15 KB, patch)
2019-02-24 17:17 UTC, Jeremy Allison
no flags Details
git-am fix for 4.10.rcNext (17.83 KB, patch)
2019-02-25 15:43 UTC, Jeremy Allison
vl: review+
Details
git-am fix for 4.9.next, 4.8.next. (17.94 KB, patch)
2019-02-25 15:44 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2019-02-23 19:12:55 UTC

    
Comment 1 Jeremy Allison 2019-02-23 20:34:22 UTC
Created attachment 14863 [details]
Provisional fix for master.

Provisional fix for master. I will work on regression testing to finish the fix.
Comment 2 Jeremy Allison 2019-02-23 20:37:11 UTC
Found by Volker. Reproduce is:

smbclient //server/share -mNT1
> posix
> posix_mkdir foo 0777
posix_mkdir created directory /foo/
> posix_mkdir Foo 0777
NT_STATUS_NAME_COLLISION

For POSIX extensions this should be able to create directories 'Foo' and 'foo'.
Comment 3 Jeremy Allison 2019-02-23 21:18:23 UTC
Created attachment 14864 [details]
Provisional fix for master #2.

Adds code to cope with the dropbox case when the SMB2 unix extensions go in.
Comment 4 Jeremy Allison 2019-02-24 02:03:57 UTC
Created attachment 14865 [details]
git-am fix for master

Includes regression test.
Comment 5 Jeremy Allison 2019-02-24 17:17:55 UTC
Created attachment 14867 [details]
Complete git-am fix for master.

Full fix that adds the extra tests and fix inside filename.c

So sorry for the mistake :-(.
Comment 6 Jeremy Allison 2019-02-25 15:43:17 UTC
Created attachment 14869 [details]
git-am fix for 4.10.rcNext

Cherry-pick (and slight back-port as the testing code had been refactored) from master.
Comment 7 Jeremy Allison 2019-02-25 15:44:10 UTC
Created attachment 14870 [details]
git-am fix for 4.9.next, 4.8.next.

Back-port. Applies cleanly to 4.9.next, 4.8.next.
Comment 8 Karolin Seeger 2019-03-04 10:35:46 UTC
Pushed to autobuild-v4-{10,9,8}-test.
Comment 9 Karolin Seeger 2019-03-06 08:57:42 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to all branches.
Closing out bug report.

Thanks!